Enumerations | Functions

# usb-common.h File Reference

Go to the source code of this file.

## Enumerations
enum | usbType { usbMouse, usbKeyboard, usbOther }
## Functions
pointer | usbCreatePrivate (DeviceIntPtr pDevice)
void | usbDestroyPrivate (pointer priv)
void | usbRead (DevicePtr pDev, dmxMotionProcPtr motion, dmxEnqueueProcPtr enqueue, int minButton, DMXBlockType block)
void | usbInit (DevicePtr pDev, usbType type)
void | usbOff (DevicePtr pDev)

## Detailed Description

Interface to common USB support.

See also:
  usb-common.c
  usb-mouse.c
  usb-keyboard.c
  usb-other.c

## Enumeration Type Documentation

enum usbType

Enumerator:

  usbMouse |
  usbKeyboard |
  usbOther |

## Function Documentation

pointer usbCreatePrivate | ( | DeviceIntPtr | pDevice | ) |

Create a private structure for use within this file.

References _myPrivate::fd, and _myPrivate::pDevice.

void usbDestroyPrivate | ( | pointer | priv | ) |

Destroy a private structure.

void usbInit | ( | DevicePtr | pDev,
|  | usbType | type |
| ) |  |  |

Initialized pDev as a usbMouse, usbKeyboard, or usbOther device.

References FATAL1, O_NONBLOCK, test_bit, test_bits, usbKeyboard, usbMouse, usbOther, and usbPrint().

Referenced by kbdUSBInit(), mouUSBInit(), and othUSBInit().

void usbOff | ( | DevicePtr | pDev | ) |

Turn pDev off (i.e., stop taking input from pDev).

void usbRead | ( | DevicePtr | pDev,
|  | dmxMotionProcPtr | motion,
|  | dmxEnqueueProcPtr | enqueue,
|  | int | minButton,
|  | DMXBlockType | block |
| ) |  |  |